Range-v3 Range algorithms, views, and actions for the Standard Library |

ranges::v3::meta::defer< C, Ts > Struct Template Reference

## Description

### template<template< typename...> class C, typename... Ts>
struct ranges::v3::meta::defer< C, Ts >

A wrapper that defers the instantiation of a template `C` with type parameters `Ts` in a `lambda` or `let` expression.

In the code below, the lambda would ideally be written as `lambda<_a,_b,push_back<_a,_b>>`, however this fails since `push_back` expects its first argument to be a list, not a placeholder. Instead, we express it using `defer` as follows:

template<typename List>
using reverse = reverse_fold<List, list<>, lambda<_a, _b, defer<push_back, _a, _b> > >;
Inheritance diagram for ranges::v3::meta::defer< C, Ts >: